# streamWrapper::dir_opendir

(PHP 4 >= 4.3.2, PHP 5, PHP 7, PHP 8)

streamWrapper::dir_opendir — Open directory handle

### Beschreibung

public streamWrapper::dir_opendir(string `$path`, int `$options`): bool

This method is called in response to opendir().

### Parameter-Liste

`path`

  Specifies the URL that was passed to opendir().

  > Hinweis:

  > The URL can be broken apart with parse_url().

`options`

### Rückgabewerte

Gibt bei Erfolg `true` zurück. Bei einem Fehler wird `false` zurückgegeben.

### Siehe auch

- opendir() - Öffnet ein Verzeichnis-Handle
- streamWrapper::dir_closedir() - Close directory handle
- parse_url() - Analysiert eine URL und gibt ihre Bestandteile zurück

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open